/* Calendar box */
#calendar-box{
  height: calc(100% - 150px) !important
}
#calendar-box > div{
  display: flex; 
  justify-content: space-between;
}

/* Calendar Navbar */
#calendar-selected-date{
  display: flex; 
  min-height: 30px !important; 
  font-size: larger !important; 
  color: var(--logo-color);
  font-weight: 500 !important;
  justify-items: right;
}

#calendar-title{
  display: flex; 
  min-height: 30px !important; 
  font-size: larger !important; 
  color: var(--header-color);
  font-weight: 500 !important;
  justify-items: right;
}

/* Calendar Tools */
#calendar-tools{
  display: flex;
  width: 100% !important;
  height: 50px !important;
  justify-content: center !important;
  z-index: 100 !important;
  position: sticky;
  border-top-left-radius: 5px !important;
  vertical-align: baseline;
}
#calendar-tools > div{
  display: flex;
  width: 300px;
  height: inherit;
  justify-content: center;
  border: 1px solid #e0e0e0;
  background-color: #fafafa; 
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  justify-content: space-around;
  opacity: 0.2;
  transition: opacity 0.3s ease-in-out; /* Smooth transition */
  box-shadow: var(--light-inner-shadow);
  border-bottom: 0px !important;
}
#calendar-tools > div:hover {
  opacity: 1;
}

#calendar-tools .large-btn {
  cursor: pointer;
}

#calendar-tools .material-icons {
  user-select: none;      
  pointer-events: none;  
}

/* TUI Calendar */
#calendar{
  height: calc(100% - 80px) !important; 
  width: inherit;
}
.toastui-calendar-template-time {
  white-space: pre-line;
}
.tui-full-calendar-weekday-grid-line {
pointer-events: auto !important;
}

.toastui-calendar-layout{
  width: 100%;
  background-color: var(--default-color) !important;
}
.toastui-calendar-timegrid{
  height: 98% !important;
  min-height: auto !important;
}
#calendar .toastui-calendar-allday, 
#calendar .toastui-calendar-task,
#calendar .toastui-calendar-milestone,
#calendar .toastui-calendar-allday, 
#calendar .toastui-calendar-task,
#calendar .toastui-calendar-milestone,
#calendar .toastui-calendar-layout .toastui-calendar-panel-resizer{
  display: none;
}
#calendar .toastui-calendar-time{
  height: inherit !important;
}

.toastui-calendar-events{
  margin-left: 4px !important;
  margin-right: 4px !important;
}